
Foreman - Bug #6403

power API returns error if using a hostgroup_id search filter

06/26/2014 10:21 AM - Martin Matuška

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If using a hostgroup_id search filter for the "Host/Managed" resource the power api returns an error:

"error": {"message":"undefined method `search_for' for #<Class:0x00000005f1a810>"}

I am attaching the backtrace.

Related issues:

Is duplicate of Foreman - Bug #8812: Pass model type in API base controller Closed 12/30/2014

Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

History

#1 - 06/26/2014 10:23 AM - Dominic Cleal

- Blocks Tracker #4552: New permissions/authorization system issues added

#2 - 01/22/2015 04:24 AM - Dominic Cleal

- Is duplicate of Bug #8812: Pass model type in API base controller added

#3 - 01/22/2015 04:25 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report Martin.  Since we've got a PR under #8812 right now, I'll close this ticket and we'll fix it there.
